 
library IEEE;
use ieee.std_logic_1164.ALL;
entity notgate_1_1 is
port(
in_1: in std_logic;
out_1: out std_logic);
end notgate_1_1;
architecture NXU_beh of notgate_1_1 is
begin
p1: process(in_1)
variable indata: std_logic;
begin
indata := in_1;
case indata is
when '0' =>
out_1 <= '1';
when '1' =>
out_1 <= '0';
when others=>
out_1 <= '0';
end case;
end process p1;
end NXU_beh;

 --******************************************************
  --VHDL compiler

  --ZhangDong&KangCai (2004-2008)
 
  --http://scicoshdl.sourceforge.net

 --******************************************************
